Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaClip

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaClip

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  MediaClipData, MediaClipSection

    @PDF(value=PDF15)
    public abstract class MediaClip

extends PdfObjectWrapper<PdfDictionary>

Media clip object [PDF:1.7:9.1.3].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `MediaClip(Document context, PdfName subtype)`
`protected` | `MediaClip(PdfDirectObject baseObject)`

Method Summary
`abstract PdfObjectWrapper<?>` | `getData()` Gets the actual media data.
`static MediaClip` | `wrap(PdfDirectObject baseObject)` Wraps a clip base object into a clip object.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaClip

    protected MediaClip(Document context,
                        PdfName subtype)

### MediaClip

    protected MediaClip(PdfDirectObject baseObject)

Method Detail

### wrap

    public static MediaClip wrap(PdfDirectObject baseObject)

  Wraps a clip base object into a clip object.

### getData

    public abstract PdfObjectWrapper<?> getData()

  Gets the actual media data.

  Returns:
    Either a `FullFileSpecification`} or a `FormXObject`}.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.